-- 11a_Legal_Offers_RowstoreIndexes_Script
use	WideWorldImporters
;
go

-- Offers.Sellers
create unique clustered index	pk_Offers_Sellers
	on	Offers.Sellers
		(
		OfferID
		)
;
go
create unique nonclustered index	ux_Offers_Sellers_PersonID_CreatedOn
	on	Offers.Sellers
		(
		PersonID
		,CreatedOn
		)
;
go

-- Offers.SellerItems
create unique clustered index	pk_Offers_SellerItems
	on	Offers.SellerItems
		(
		StockItemID
		,OfferID
		)
;
go
create unique nonclustered index	ux_Offers_SellerItems_OfferID_StockItemID
	on	Offers.SellerItems
		(
		OfferID
		,StockItemID
		)
;
go

-- Offers.Buyers
create unique clustered index	pk_Offers_Buyers
	on	Offers.Buyers
		(
		OfferID
		)
;
go
create unique nonclustered index	ux_Offers_Buyers_PersonID_CreatedOn
	on	Offers.Buyers
		(
		PersonID
		,CreatedOn
		)
;
go

-- Offers.BuyerItems
create unique clustered index	pk_Offers_BuyerItems
	on	Offers.BuyerItems
		(
		StockItemID
		,OfferID
		)
;
go
create unique nonclustered index	ux_Offers_BuyerItems_OfferID_StockItemID
	on	Offers.BuyerItems
		(
		OfferID
		,StockItemID
		)
;
go

/* Clean up.
drop index	pk_Offers_Sellers
	on	Offers.Sellers
;
drop index	ux_Offers_Sellers_PersonID_CreatedOn
	on	Offers.Sellers
;
drop index	pk_Offers_SellerItems
	on	Offers.SellerItems
;
drop index	ux_Offers_SellerItems_OfferID_StockItemID
	on	Offers.SellerItems
;
drop index	pk_Offers_Buyers
	on	Offers.Buyers
;
drop index	ux_Offers_Buyers_PersonID_CreatedOn
	on	Offers.Buyers
;
drop index	pk_Offers_BuyerItems
	on	Offers.BuyerItems
;
drop index	ux_Offers_BuyerItems_OfferID_StockItemID
	on	Offers.BuyerItems
;
*/
